diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/tools.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/tools.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/tools.php	2012-05-05 14:09:08.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/tools.php	2013-01-21 22:22:23.000000000 -0600
***************
*** 43,49 ****
  
  	<p><?php _e('Use Press This to clip text, images and videos from any web page. Then edit and add more straight from Press This before you save or publish it in a post on your site.'); ?></p>
  	<p class="description"><?php _e('Drag-and-drop the following link to your bookmarks bar or right click it and add it to your favorites for a posting shortcut.') ?></p>
! 	<p class="pressthis"><a onclick="return false;" oncontextmenu="if(window.navigator.userAgent.indexOf('WebKit')!=-1||window.navigator.userAgent.indexOf('MSIE')!=-1)jQuery('.pressthis-code').show().find('textarea').focus().select();return false;" href="<?php echo htmlspecialchars( get_shortcut_link() ); ?>"><span><?php _e('Press This') ?></span></a></p>
  	<div class="pressthis-code" style="display:none;">
  	<p class="description"><?php _e('If your bookmarks toolbar is hidden: copy the code below, open your Bookmarks manager, create new bookmark, type Press This into the name field and paste the code into the URL field.') ?></p>
  	<p><textarea rows="5" cols="120" readonly="readonly"><?php echo htmlspecialchars( get_shortcut_link() ); ?></textarea></p>
--- 43,49 ----
  
  	<p><?php _e('Use Press This to clip text, images and videos from any web page. Then edit and add more straight from Press This before you save or publish it in a post on your site.'); ?></p>
  	<p class="description"><?php _e('Drag-and-drop the following link to your bookmarks bar or right click it and add it to your favorites for a posting shortcut.') ?></p>
! 	<p class="pressthis"><a onclick="return false;" oncontextmenu="if(window.navigator.userAgent.indexOf('WebKit')!=-1||window.navigator.userAgent.indexOf('MSIE')!=-1){jQuery('.pressthis-code').show().find('textarea').focus().select();return false;}" href="<?php echo htmlspecialchars( get_shortcut_link() ); ?>"><span><?php _e('Press This') ?></span></a></p>
  	<div class="pressthis-code" style="display:none;">
  	<p class="description"><?php _e('If your bookmarks toolbar is hidden: copy the code below, open your Bookmarks manager, create new bookmark, type Press This into the name field and paste the code into the URL field.') ?></p>
  	<p><textarea rows="5" cols="120" readonly="readonly"><?php echo htmlspecialchars( get_shortcut_link() ); ?></textarea></p>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/update-core.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/update-core.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/update-core.php	2012-09-21 14:34:23.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/update-core.php	2013-03-18 09:01:25.000000000 -0500
***************
*** 188,194 ****
  	?>
  <h3><?php _e( 'Plugins' ); ?></h3>
  <p><?php _e( 'The following plugins have new versions available. Check the ones you want to update and then click &#8220;Update Plugins&#8221;.' ); ?></p>
! <form method="post" action="<?php echo $form_action; ?>" name="upgrade-plugins" class="upgrade">
  <?php wp_nonce_field('upgrade-core'); ?>
  <p><input id="upgrade-plugins" class="button" type="submit" value="<?php esc_attr_e('Update Plugins'); ?>" name="upgrade" /></p>
  <table class="widefat" cellspacing="0" id="update-plugins-table">
--- 188,194 ----
  	?>
  <h3><?php _e( 'Plugins' ); ?></h3>
  <p><?php _e( 'The following plugins have new versions available. Check the ones you want to update and then click &#8220;Update Plugins&#8221;.' ); ?></p>
! <form method="post" action="<?php echo esc_url( $form_action ); ?>" name="upgrade-plugins" class="upgrade">
  <?php wp_nonce_field('upgrade-core'); ?>
  <p><input id="upgrade-plugins" class="button" type="submit" value="<?php esc_attr_e('Update Plugins'); ?>" name="upgrade" /></p>
  <table class="widefat" cellspacing="0" id="update-plugins-table">
***************
*** 266,272 ****
  <h3><?php _e( 'Themes' ); ?></h3>
  <p><?php _e( 'The following themes have new versions available. Check the ones you want to update and then click &#8220;Update Themes&#8221;.' ); ?></p>
  <p><?php printf( __('<strong>Please Note:</strong> Any customizations you have made to theme files will be lost. Please consider using <a href="%s">child themes</a> for modifications.'), _x('http://codex.wordpress.org/Child_Themes', 'Link used in suggestion to use child themes in GUU') ); ?></p>
! <form method="post" action="<?php echo $form_action; ?>" name="upgrade-themes" class="upgrade">
  <?php wp_nonce_field('upgrade-core'); ?>
  <p><input id="upgrade-themes" class="button" type="submit" value="<?php esc_attr_e('Update Themes'); ?>" name="upgrade" /></p>
  <table class="widefat" cellspacing="0" id="update-themes-table">
--- 266,272 ----
  <h3><?php _e( 'Themes' ); ?></h3>
  <p><?php _e( 'The following themes have new versions available. Check the ones you want to update and then click &#8220;Update Themes&#8221;.' ); ?></p>
  <p><?php printf( __('<strong>Please Note:</strong> Any customizations you have made to theme files will be lost. Please consider using <a href="%s">child themes</a> for modifications.'), _x('http://codex.wordpress.org/Child_Themes', 'Link used in suggestion to use child themes in GUU') ); ?></p>
! <form method="post" action="<?php echo esc_url( $form_action ); ?>" name="upgrade-themes" class="upgrade">
  <?php wp_nonce_field('upgrade-core'); ?>
  <p><input id="upgrade-themes" class="button" type="submit" value="<?php esc_attr_e('Update Themes'); ?>" name="upgrade" /></p>
  <table class="widefat" cellspacing="0" id="update-themes-table">
***************
*** 289,295 ****
  		echo "
  	<tr class='active'>
  		<th scope='row' class='check-column'><input type='checkbox' name='checked[]' value='" . esc_attr( $stylesheet ) . "' /></th>
! 		<td class='plugin-title'><img src='" . esc_url( $theme->get_screenshot() ) . "' width='64' height='64' style='float:left; padding: 0 5px 5px' /><strong>" . $theme->display('Name') . '</strong> ' . sprintf( __( 'You have version %1$s installed. Update to %2$s.' ), $theme->display('Version'), $theme->update['new_version'] ) . "</td>
  	</tr>";
  	}
  ?>
--- 289,295 ----
  		echo "
  	<tr class='active'>
  		<th scope='row' class='check-column'><input type='checkbox' name='checked[]' value='" . esc_attr( $stylesheet ) . "' /></th>
! 		<td class='plugin-title'><img src='" . esc_url( $theme->get_screenshot() ) . "' width='85' height='64' style='float:left; padding: 0 5px 5px' /><strong>" . $theme->display('Name') . '</strong> ' . sprintf( __( 'You have version %1$s installed. Update to %2$s.' ), $theme->display('Version'), $theme->update['new_version'] ) . "</td>
  	</tr>";
  	}
  ?>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/upgrade.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/upgrade.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/upgrade.php	2012-11-30 07:40:59.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/upgrade.php	2013-03-01 11:20:32.000000000 -0600
***************
*** 58,64 ****
  	?>
  </head>
  <body class="wp-core-ui">
! <h1 id="logo"><a href="<?php esc_attr_e( 'http://wordpress.org/' ); ?>"><?php _e( 'WordPress' ); ?></a></h1>
  
  <?php if ( get_option( 'db_version' ) == $wp_db_version || !is_blog_installed() ) : ?>
  
--- 58,64 ----
  	?>
  </head>
  <body class="wp-core-ui">
! <h1 id="logo"><a href="<?php echo esc_url( __( 'http://wordpress.org/' ) ); ?>"><?php _e( 'WordPress' ); ?></a></h1>
  
  <?php if ( get_option( 'db_version' ) == $wp_db_version || !is_blog_installed() ) : ?>
  
***************
*** 77,83 ****
  <?php else :
  switch ( $step ) :
  	case 0:
! 		$goback = stripslashes( wp_get_referer() );
  		$goback = esc_url_raw( $goback );
  		$goback = urlencode( $goback );
  ?>
--- 77,83 ----
  <?php else :
  switch ( $step ) :
  	case 0:
! 		$goback = wp_get_referer();
  		$goback = esc_url_raw( $goback );
  		$goback = urlencode( $goback );
  ?>
***************
*** 90,96 ****
  	case 1:
  		wp_upgrade();
  
! 			$backto = !empty($_GET['backto']) ? stripslashes( urldecode( $_GET['backto'] ) ) : __get_option( 'home' ) . '/';
  			$backto = esc_url( $backto );
  			$backto = wp_validate_redirect($backto, __get_option( 'home' ) . '/');
  ?>
--- 90,96 ----
  	case 1:
  		wp_upgrade();
  
! 			$backto = !empty($_GET['backto']) ? wp_unslash( urldecode( $_GET['backto'] ) ) : __get_option( 'home' ) . '/';
  			$backto = esc_url( $backto );
  			$backto = wp_validate_redirect($backto, __get_option( 'home' ) . '/');
  ?>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/upload.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/upload.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/upload.php	2012-08-24 10:32:23.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/upload.php	2013-05-08 16:27:31.000000000 -0500
***************
*** 99,105 ****
  					wp_die( __( 'You are not allowed to move this post to the trash.' ) );
  
  				if ( !wp_trash_post( $post_id ) )
! 					wp_die( __( 'Error in moving to trash...' ) );
  			}
  			$location = add_query_arg( array( 'trashed' => count( $post_ids ), 'ids' => join( ',', $post_ids ) ), $location );
  			break;
--- 99,105 ----
  					wp_die( __( 'You are not allowed to move this post to the trash.' ) );
  
  				if ( !wp_trash_post( $post_id ) )
! 					wp_die( __( 'Error in moving to trash.' ) );
  			}
  			$location = add_query_arg( array( 'trashed' => count( $post_ids ), 'ids' => join( ',', $post_ids ) ), $location );
  			break;
***************
*** 111,117 ****
  					wp_die( __( 'You are not allowed to move this post out of the trash.' ) );
  
  				if ( !wp_untrash_post( $post_id ) )
! 					wp_die( __( 'Error in restoring from trash...' ) );
  			}
  			$location = add_query_arg( 'untrashed', count( $post_ids ), $location );
  			break;
--- 111,117 ----
  					wp_die( __( 'You are not allowed to move this post out of the trash.' ) );
  
  				if ( !wp_untrash_post( $post_id ) )
! 					wp_die( __( 'Error in restoring from trash.' ) );
  			}
  			$location = add_query_arg( 'untrashed', count( $post_ids ), $location );
  			break;
***************
*** 123,129 ****
  					wp_die( __( 'You are not allowed to delete this post.' ) );
  
  				if ( !wp_delete_attachment( $post_id_del ) )
! 					wp_die( __( 'Error in deleting...' ) );
  			}
  			$location = add_query_arg( 'deleted', count( $post_ids ), $location );
  			break;
--- 123,129 ----
  					wp_die( __( 'You are not allowed to delete this post.' ) );
  
  				if ( !wp_delete_attachment( $post_id_del ) )
! 					wp_die( __( 'Error in deleting.' ) );
  			}
  			$location = add_query_arg( 'deleted', count( $post_ids ), $location );
  			break;
***************
*** 132,138 ****
  	wp_redirect( $location );
  	exit;
  } elseif ( ! empty( $_GET['_wp_http_referer'] ) ) {
! 	 wp_redirect( remove_query_arg( array( '_wp_http_referer', '_wpnonce' ), stripslashes( $_SERVER['REQUEST_URI'] ) ) );
  	 exit;
  }
  
--- 132,138 ----
  	wp_redirect( $location );
  	exit;
  } elseif ( ! empty( $_GET['_wp_http_referer'] ) ) {
! 	 wp_redirect( remove_query_arg( array( '_wp_http_referer', '_wpnonce' ), wp_unslash( $_SERVER['REQUEST_URI'] ) ) );
  	 exit;
  }
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/user-edit.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/user-edit.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/user-edit.php	2012-11-19 13:23:54.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/user-edit.php	2013-07-03 16:24:02.000000000 -0500
***************
*** 9,15 ****
  /** WordPress Administration Bootstrap */
  require_once('./admin.php');
  
! wp_reset_vars(array('action', 'redirect', 'profile', 'user_id', 'wp_http_referer'));
  
  $user_id = (int) $user_id;
  $current_user = wp_get_current_user();
--- 9,15 ----
  /** WordPress Administration Bootstrap */
  require_once('./admin.php');
  
! wp_reset_vars( array( 'action', 'user_id', 'wp_http_referer' ) );
  
  $user_id = (int) $user_id;
  $current_user = wp_get_current_user();
***************
*** 54,60 ****
      '<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
  );
  
! $wp_http_referer = remove_query_arg(array('update', 'delete_count'), stripslashes($wp_http_referer));
  
  $user_can_edit = current_user_can( 'edit_posts' ) || current_user_can( 'edit_pages' );
  
--- 54,60 ----
      '<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
  );
  
! $wp_http_referer = remove_query_arg(array('update', 'delete_count'), $wp_http_referer );
  
  $user_can_edit = current_user_can( 'edit_posts' ) || current_user_can( 'edit_pages' );
  
***************
*** 250,256 ****
  <td><select name="role" id="role">
  <?php
  // Compare user role against currently editable roles
- // TODO: create a function that does this: wp_get_user_role()
  $user_roles = array_intersect( array_values( $profileuser->roles ), array_keys( get_editable_roles() ) );
  $user_role  = array_shift( $user_roles );
  
--- 250,255 ----
***************
*** 337,343 ****
  	<td><input type="text" name="email" id="email" value="<?php echo esc_attr($profileuser->user_email) ?>" class="regular-text" />
  	<?php
  	$new_email = get_option( $current_user->ID . '_new_email' );
! 	if ( $new_email && $new_email != $current_user->user_email ) : ?>
  	<div class="updated inline">
  	<p><?php printf( __('There is a pending change of your e-mail to <code>%1$s</code>. <a href="%2$s">Cancel</a>'), $new_email['newemail'], esc_url( self_admin_url( 'profile.php?dismiss=' . $current_user->ID . '_new_email' ) ) ); ?></p>
  	</div>
--- 336,342 ----
  	<td><input type="text" name="email" id="email" value="<?php echo esc_attr($profileuser->user_email) ?>" class="regular-text" />
  	<?php
  	$new_email = get_option( $current_user->ID . '_new_email' );
! 	if ( $new_email && $new_email['newemail'] != $current_user->user_email && $profileuser->ID == $current_user->ID ) : ?>
  	<div class="updated inline">
  	<p><?php printf( __('There is a pending change of your e-mail to <code>%1$s</code>. <a href="%2$s">Cancel</a>'), $new_email['newemail'], esc_url( self_admin_url( 'profile.php?dismiss=' . $current_user->ID . '_new_email' ) ) ); ?></p>
  	</div>
***************
*** 377,386 ****
  ?>
  <tr id="password">
  	<th><label for="pass1"><?php _e('New Password'); ?></label></th>
! 	<td><input type="password" name="pass1" id="pass1" size="16" value="" autocomplete="off" /> <span class="description"><?php _e("If you would like to change the password type a new one. Otherwise leave this blank."); ?></span><br />
! 		<input type="password" name="pass2" id="pass2" size="16" value="" autocomplete="off" /> <span class="description"><?php _e("Type your new password again."); ?></span><br />
! 		<div id="pass-strength-result"><?php _e('Strength indicator'); ?></div>
! 		<p class="description indicator-hint"><?php _e('Hint: The password should be at least seven characters long. To make it stronger, use upper and lower case letters, numbers and symbols like ! " ? $ % ^ &amp; ).'); ?></p>
  	</td>
  </tr>
  <?php endif; ?>
--- 376,393 ----
  ?>
  <tr id="password">
  	<th><label for="pass1"><?php _e('New Password'); ?></label></th>
! 	<td>
! 		<input class="hidden" value=" " /><!-- #24364 workaround -->
! 		<input type="password" name="pass1" id="pass1" size="16" value="" autocomplete="off" /> <span class="description"><?php _e("If you would like to change the password type a new one. Otherwise leave this blank."); ?></span>
! 	</td>
! </tr>
! <tr>
! 	<th scope="row"><label for="pass2"><?php _e('Repeat New Password'); ?></label></th>
! 	<td>
! 	<input name="pass2" type="password" id="pass2" size="16" value="" autocomplete="off" /> <span class="description" for="pass2"><?php _e("Type your new password again."); ?></span>
! 	<br />
! 	<div id="pass-strength-result"><?php _e('Strength indicator'); ?></div>
! 	<p class="description indicator-hint"><?php _e('Hint: The password should be at least seven characters long. To make it stronger, use upper and lower case letters, numbers and symbols like ! " ? $ % ^ &amp; ).'); ?></p>
  	</td>
  </tr>
  <?php endif; ?>
***************
*** 393,417 ****
  		do_action( 'edit_user_profile', $profileuser );
  ?>
  
! <?php if ( count($profileuser->caps) > count($profileuser->roles) && apply_filters('additional_capabilities_display', true, $profileuser) ) { ?>
! <br class="clear" />
! 	<table width="99%" style="border: none;" cellspacing="2" cellpadding="3" class="editform">
! 		<tr>
! 			<th scope="row"><?php _e('Additional Capabilities') ?></th>
! 			<td><?php
! 			$output = '';
! 			foreach ( $profileuser->caps as $cap => $value ) {
! 				if ( !$wp_roles->is_role($cap) ) {
! 					if ( $output != '' )
! 						$output .= ', ';
! 					$output .= $value ? $cap : "Denied: {$cap}";
! 				}
! 			}
! 			echo $output;
! 			?></td>
! 		</tr>
! 	</table>
! <?php } ?>
  
  <input type="hidden" name="action" value="update" />
  <input type="hidden" name="user_id" id="user_id" value="<?php echo esc_attr($user_id); ?>" />
--- 400,426 ----
  		do_action( 'edit_user_profile', $profileuser );
  ?>
  
! <?php if ( count( $profileuser->caps ) > count( $profileuser->roles ) && apply_filters( 'additional_capabilities_display', true, $profileuser ) ) : ?>
! <h3><?php _e( 'Additional Capabilities' ); ?></h3>
! <table class="form-table">
! <tr>
! 	<th scope="row"><?php _e( 'Capabilities' ); ?></th>
! 	<td>
! <?php
! 	$output = '';
! 	foreach ( $profileuser->caps as $cap => $value ) {
! 		if ( ! $wp_roles->is_role( $cap ) ) {
! 			if ( '' != $output )
! 				$output .= ', ';
! 			$output .= $value ? $cap : sprintf( __( 'Denied: %s' ), $cap );
! 		}
! 	}
! 	echo $output;
! ?>
! 	</td>
! </tr>
! </table>
! <?php endif; ?>
  
  <input type="hidden" name="action" value="update" />
  <input type="hidden" name="user_id" id="user_id" value="<?php echo esc_attr($user_id); ?>" />
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/user-new.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/user-new.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/user-new.php	2012-11-05 19:01:52.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/user-new.php	2013-07-03 16:24:02.000000000 -0500
***************
*** 113,123 ****
  	} else {
  		// Adding a new user to this blog
  		$user_details = wpmu_validate_user_signup( $_REQUEST[ 'user_login' ], $_REQUEST[ 'email' ] );
- 		unset( $user_details[ 'errors' ]->errors[ 'user_email_used' ] );
  		if ( is_wp_error( $user_details[ 'errors' ] ) && !empty( $user_details[ 'errors' ]->errors ) ) {
  			$add_user_errors = $user_details[ 'errors' ];
  		} else {
! 			$new_user_login = apply_filters('pre_user_login', sanitize_user(stripslashes($_REQUEST['user_login']), true));
  			if ( isset( $_POST[ 'noconfirmation' ] ) && is_super_admin() ) {
  				add_filter( 'wpmu_signup_user_notification', '__return_false' ); // Disable confirmation email
  			}
--- 113,122 ----
  	} else {
  		// Adding a new user to this blog
  		$user_details = wpmu_validate_user_signup( $_REQUEST[ 'user_login' ], $_REQUEST[ 'email' ] );
  		if ( is_wp_error( $user_details[ 'errors' ] ) && !empty( $user_details[ 'errors' ]->errors ) ) {
  			$add_user_errors = $user_details[ 'errors' ];
  		} else {
! 			$new_user_login = apply_filters('pre_user_login', sanitize_user(wp_unslash($_REQUEST['user_login']), true));
  			if ( isset( $_POST[ 'noconfirmation' ] ) && is_super_admin() ) {
  				add_filter( 'wpmu_signup_user_notification', '__return_false' ); // Disable confirmation email
  			}
***************
*** 209,215 ****
  			case "does_not_exist":
  				$messages[] = __('The requested user does not exist.');
  				break;
! 			case "does_not_exist":
  				$messages[] = __('Please enter a valid email address.');
  				break;
  		}
--- 208,214 ----
  			case "does_not_exist":
  				$messages[] = __('The requested user does not exist.');
  				break;
! 			case "enter_email":
  				$messages[] = __('Please enter a valid email address.');
  				break;
  		}
***************
*** 310,316 ****
  	$var = "new_user_$var";
  	if( isset( $_POST['createuser'] ) ) {
  		if ( ! isset($$var) )
! 			$$var = isset( $_POST[$post_field] ) ? stripslashes( $_POST[$post_field] ) : '';
  	} else {
  		$$var = false;
  	}
--- 309,315 ----
  	$var = "new_user_$var";
  	if( isset( $_POST['createuser'] ) ) {
  		if ( ! isset($$var) )
! 			$$var = isset( $_POST[$post_field] ) ? wp_unslash( $_POST[$post_field] ) : '';
  	} else {
  		$$var = false;
  	}
***************
*** 341,349 ****
  	</tr>
  <?php if ( apply_filters('show_password_fields', true) ) : ?>
  	<tr class="form-field form-required">
! 		<th scope="row"><label for="pass1"><?php _e('Password'); ?> <span class="description"><?php /* translators: password input field */_e('(twice, required)'); ?></span></label></th>
! 		<td><input name="pass1" type="password" id="pass1" autocomplete="off" />
! 		<br />
  		<input name="pass2" type="password" id="pass2" autocomplete="off" />
  		<br />
  		<div id="pass-strength-result"><?php _e('Strength indicator'); ?></div>
--- 340,354 ----
  	</tr>
  <?php if ( apply_filters('show_password_fields', true) ) : ?>
  	<tr class="form-field form-required">
! 		<th scope="row"><label for="pass1"><?php _e('Password'); ?> <span class="description"><?php /* translators: password input field */_e('(required)'); ?></span></label></th>
! 		<td>
! 			<input class="hidden" value=" " /><!-- #24364 workaround -->
! 			<input name="pass1" type="password" id="pass1" autocomplete="off" />
! 		</td>
! 	</tr>
! 	<tr class="form-field form-required">
! 		<th scope="row"><label for="pass2"><?php _e('Repeat Password'); ?> <span class="description"><?php /* translators: password input field */_e('(required)'); ?></span></label></th>
! 		<td>
  		<input name="pass2" type="password" id="pass2" autocomplete="off" />
  		<br />
  		<div id="pass-strength-result"><?php _e('Strength indicator'); ?></div>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/users.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/users.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/users.php	2012-10-23 06:32:41.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/users.php	2013-03-03 10:30:38.000000000 -0600
***************
*** 64,72 ****
  );
  
  if ( empty($_REQUEST) ) {
! 	$referer = '<input type="hidden" name="wp_http_referer" value="'. esc_attr(stripslashes($_SERVER['REQUEST_URI'])) . '" />';
  } elseif ( isset($_REQUEST['wp_http_referer']) ) {
! 	$redirect = remove_query_arg(array('wp_http_referer', 'updated', 'delete_count'), stripslashes($_REQUEST['wp_http_referer']));
  	$referer = '<input type="hidden" name="wp_http_referer" value="' . esc_attr($redirect) . '" />';
  } else {
  	$redirect = 'users.php';
--- 64,72 ----
  );
  
  if ( empty($_REQUEST) ) {
! 	$referer = '<input type="hidden" name="wp_http_referer" value="'. esc_attr( wp_unslash( $_SERVER['REQUEST_URI'] ) ) . '" />';
  } elseif ( isset($_REQUEST['wp_http_referer']) ) {
! 	$redirect = remove_query_arg(array('wp_http_referer', 'updated', 'delete_count'), wp_unslash( $_REQUEST['wp_http_referer'] ) );
  	$referer = '<input type="hidden" name="wp_http_referer" value="' . esc_attr($redirect) . '" />';
  } else {
  	$redirect = 'users.php';
***************
*** 86,91 ****
--- 86,94 ----
  	$('input[name=delete_option]').one('change', function() {
  		submit.prop('disabled', false);
  	});
+ 	$('#reassign_user').focus( function() {
+ 		$('#delete_option1').prop('checked', true).trigger('change');
+ 	});
  });
  </script>
  <?php
***************
*** 354,360 ****
  default:
  
  	if ( !empty($_GET['_wp_http_referer']) ) {
! 		wp_redirect(remove_query_arg(array('_wp_http_referer', '_wpnonce'), stripslashes($_SERVER['REQUEST_URI'])));
  		exit;
  	}
  
--- 357,363 ----
  default:
  
  	if ( !empty($_GET['_wp_http_referer']) ) {
! 		wp_redirect( remove_query_arg( array( '_wp_http_referer', '_wpnonce'), wp_unslash( $_SERVER['REQUEST_URI'] ) ) );
  		exit;
  	}
  
***************
*** 378,384 ****
  		case 'add':
  			if ( isset( $_GET['id'] ) && ( $user_id = $_GET['id'] ) && current_user_can( 'edit_user', $user_id ) ) {
  				$messages[] = '<div id="message" class="updated"><p>' . sprintf( __( 'New user created. <a href="%s">Edit user</a>' ),
! 					esc_url( add_query_arg( 'wp_http_referer', urlencode( stripslashes( $_SERVER['REQUEST_URI'] ) ),
  						self_admin_url( 'user-edit.php?user_id=' . $user_id ) ) ) ) . '</p></div>';
  			} else {
  				$messages[] = '<div id="message" class="updated"><p>' . __( 'New user created.' ) . '</p></div>';
--- 381,387 ----
  		case 'add':
  			if ( isset( $_GET['id'] ) && ( $user_id = $_GET['id'] ) && current_user_can( 'edit_user', $user_id ) ) {
  				$messages[] = '<div id="message" class="updated"><p>' . sprintf( __( 'New user created. <a href="%s">Edit user</a>' ),
! 					esc_url( add_query_arg( 'wp_http_referer', urlencode( wp_unslash( $_SERVER['REQUEST_URI'] ) ),
  						self_admin_url( 'user-edit.php?user_id=' . $user_id ) ) ) ) . '</p></div>';
  			} else {
  				$messages[] = '<div id="message" class="updated"><p>' . __( 'New user created.' ) . '</p></div>';
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-comments-post.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-comments-post.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-comments-post.php	2012-04-10 12:21:17.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-comments-post.php	2013-07-16 09:19:03.000000000 -0500
***************
*** 57,65 ****
  if ( $user->exists() ) {
  	if ( empty( $user->display_name ) )
  		$user->display_name=$user->user_login;
! 	$comment_author       = $wpdb->escape($user->display_name);
! 	$comment_author_email = $wpdb->escape($user->user_email);
! 	$comment_author_url   = $wpdb->escape($user->user_url);
  	if ( current_user_can('unfiltered_html') ) {
  		if ( wp_create_nonce('unfiltered-html-comment_' . $comment_post_ID) != $_POST['_wp_unfiltered_html_comment'] ) {
  			kses_remove_filters(); // start with a clean slate
--- 57,65 ----
  if ( $user->exists() ) {
  	if ( empty( $user->display_name ) )
  		$user->display_name=$user->user_login;
! 	$comment_author       = wp_slash( $user->display_name );
! 	$comment_author_email = wp_slash( $user->user_email );
! 	$comment_author_url   = wp_slash( $user->user_url );
  	if ( current_user_can('unfiltered_html') ) {
  		if ( wp_create_nonce('unfiltered-html-comment_' . $comment_post_ID) != $_POST['_wp_unfiltered_html_comment'] ) {
  			kses_remove_filters(); // start with a clean slate
